Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AccessDescription

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.AccessDescription

All Implemented Interfaces:
  DEREncodable

    public class AccessDescription

extends ASN1Encodable

The AccessDescription object.

     AccessDescription  ::=  SEQUENCE {
           accessMethod          OBJECT IDENTIFIER,
           accessLocation        GeneralName  }

Field Summary
`static DERObjectIdentifier` | `id_ad_caIssuers`
`static DERObjectIdentifier` | `id_ad_ocsp`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`AccessDescription(ASN1Sequence seq)`
`AccessDescription(DERObjectIdentifier oid, GeneralName location)` create an AccessDescription with the oid and location provided.

Method Summary
`GeneralName` | `getAccessLocation()`
`DERObjectIdentifier` | `getAccessMethod()`
`static AccessDescription` | `getInstance(java.lang.Object obj)`
`DERObject` | `toASN1Object()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id_ad_caIssuers

    public static final DERObjectIdentifier id_ad_caIssuers

### id_ad_ocsp

    public static final DERObjectIdentifier id_ad_ocsp

Constructor Detail

### AccessDescription

    public AccessDescription(ASN1Sequence seq)

### AccessDescription

    public AccessDescription(DERObjectIdentifier oid,
                             GeneralName location)

  create an AccessDescription with the oid and location provided.

Method Detail

### getInstance

    public static AccessDescription getInstance(java.lang.Object obj)

### getAccessMethod

    public DERObjectIdentifier getAccessMethod()

  Returns:
    the access method.

### getAccessLocation

    public GeneralName getAccessLocation()

  Returns:
    the access location

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD